Bug 218388 - Konqueror > Send File will send directory as ZIP
Summary: Konqueror > Send File will send directory as ZIP
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-12 14:41 UTC by Martin L ü c h e m
Modified: 2010-01-21 19:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin L ü c h e m 2009-12-12 14:41:08 UTC
Version:           4.3.2 (KDE 4.3.2) (using 4.3.2 (KDE 4.3.2), Debian packages)
Compiler:          cc
OS:                Linux (x86_64) release 2.6.30-2-amd64

When I select a file and try to use "File -> send file" it will not attach the selected file but the whole folder as a ZIP file.
Comment 1 Tommi Tervo 2009-12-12 15:34:25 UTC
Ugh, confirmed. I just selected one file on my home dir and konqueror "freezed". It started to create one big zip file of my home dir.
Comment 2 Tommi Tervo 2009-12-12 18:46:41 UTC
I stared a bit KonqMainWindow::slotSendFile function and I'm lost. I don't understand how it is designed to get the selected file information.
Comment 3 Martin L ü c h e m 2009-12-21 17:19:16 UTC
Hey this is really a severe problem. When you are used to this function you forget about the bug and the result could be: the whole system freezes!!

Select a file out of a folder full of large files (e.g. scans), try to send them. => FREEZE!!! Why? Well if the folder is really big, the system will create a very big ZIP-File, that will be stored in the KDE-Temp folder, what usually is located in /tmp. Assume you have 10GB space reserved for the partition / this may result in an overflow. In my case the system created a file of 3/4 GB:

-rw-r--r-- 1 mhl mhl 735M 21. Dez 16:33 Scans.zip

Then you have to kill KMail but imagine what KMail does! It will try to recover the mail and the enormous big attachement. Once more the same situation!

So do you habe a workaround for that? Can you increase the priority on this?

Regards, Martin
Comment 4 David Faure 2009-12-22 17:07:10 UTC
SVN commit 1065134 by dfaure:

Repair "Send File" so that it only sends the selected files, like in kde3.
Fixed for: 4.4 rc1
BUG: 218388


 M  +2 -9      konqmainwindow.cpp  
 M  +1 -0      konqview.cpp  
 M  +3 -0      konqview.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1065134
Comment 5 Martin L ü c h e m 2009-12-22 19:03:27 UTC
Great! :-)

So this is fixed for konq-Version 4.4?
Comment 6 David Faure 2009-12-22 20:21:27 UTC
Yes.
Comment 7 David Faure 2010-01-21 19:30:02 UTC
SVN commit 1078193 by dfaure:

Backport r1065134: Repair 'Send File' so that it only sends the selected files, like in kde3.
Fixed for: 4.3.5
CCBUG: 218388


 M  +2 -9      konqmainwindow.cpp  
 M  +1 -0      konqview.cpp  
 M  +3 -0      konqview.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1078193